
Eina_Iterator *_efl_canvas_layout_part_table_efl_container_content_iterate(Eo *obj, void *pd);


int _efl_canvas_layout_part_table_efl_container_content_count(Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_table_efl_pack_pack_clear(Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_table_efl_pack_unpack_all(Eo *obj, void *pd);


Eina_Bool _efl_canvas_layout_part_table_efl_pack_unpack(Eo *obj, void *pd, Efl_Gfx_Entity *subobj);


Eina_Bool _efl_canvas_layout_part_table_efl_pack_table_pack_table(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int col, int row, int colspan, int rowspan);


Efl_Gfx_Entity *_efl_canvas_layout_part_table_efl_pack_table_table_content_get(Eo *obj, void *pd, int col, int row);


Eina_Iterator *_efl_canvas_layout_part_table_efl_pack_table_table_contents_get(Eo *obj, void *pd, int col, int row, Eina_Bool below);


void _efl_canvas_layout_part_table_efl_pack_table_table_cell_column_set(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int col, int colspan);


Eina_Bool _efl_canvas_layout_part_table_efl_pack_table_table_cell_column_get(const Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int *col, int *colspan);


void _efl_canvas_layout_part_table_efl_pack_table_table_cell_row_set(Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int row, int rowspan);


Eina_Bool _efl_canvas_layout_part_table_efl_pack_table_table_cell_row_get(const Eo *obj, void *pd, Efl_Gfx_Entity *subobj, int *row, int *rowspan);


void _efl_canvas_layout_part_table_efl_pack_table_table_size_get(const Eo *obj, void *pd, int *cols, int *rows);


int _efl_canvas_layout_part_table_efl_pack_table_table_columns_get(const Eo *obj, void *pd);


int _efl_canvas_layout_part_table_efl_pack_table_table_rows_get(const Eo *obj, void *pd);


static Eina_Bool
_efl_canvas_layout_part_table_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_LAYOUT_PART_TABLE_EXTRA_OPS
#define EFL_CANVAS_LAYOUT_PART_TABLE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_content_iterate, _efl_canvas_layout_part_table_efl_container_content_iterate),
      EFL_OBJECT_OP_FUNC(efl_content_count, _efl_canvas_layout_part_table_efl_container_content_count),
      EFL_OBJECT_OP_FUNC(efl_pack_clear, _efl_canvas_layout_part_table_efl_pack_pack_clear),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack_all, _efl_canvas_layout_part_table_efl_pack_unpack_all),
      EFL_OBJECT_OP_FUNC(efl_pack_unpack, _efl_canvas_layout_part_table_efl_pack_unpack),
      EFL_OBJECT_OP_FUNC(efl_pack_table, _efl_canvas_layout_part_table_efl_pack_table_pack_table),
      EFL_OBJECT_OP_FUNC(efl_pack_table_content_get, _efl_canvas_layout_part_table_efl_pack_table_table_content_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_contents_get, _efl_canvas_layout_part_table_efl_pack_table_table_contents_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_column_set, _efl_canvas_layout_part_table_efl_pack_table_table_cell_column_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_column_get, _efl_canvas_layout_part_table_efl_pack_table_table_cell_column_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_row_set, _efl_canvas_layout_part_table_efl_pack_table_table_cell_row_set),
      EFL_OBJECT_OP_FUNC(efl_pack_table_cell_row_get, _efl_canvas_layout_part_table_efl_pack_table_table_cell_row_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_size_get, _efl_canvas_layout_part_table_efl_pack_table_table_size_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_columns_get, _efl_canvas_layout_part_table_efl_pack_table_table_columns_get),
      EFL_OBJECT_OP_FUNC(efl_pack_table_rows_get, _efl_canvas_layout_part_table_efl_pack_table_table_rows_get),
      EFL_CANVAS_LAYOUT_PART_TABLE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_layout_part_table_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Layout_Part_Table",
   EFL_CLASS_TYPE_REGULAR,
   0,
   _efl_canvas_layout_part_table_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_layout_part_table_class_get, &_efl_canvas_layout_part_table_class_desc, EFL_CANVAS_LAYOUT_PART_CLASS, EFL_PACK_TABLE_INTERFACE, NULL);
